Its a necessity Rated 5 out of 5 stars

Honestly waitng for an update for ff4 compatability before I update to it...... dont think I could live w/o this extension.

This review is for a previous version of the add-on (1.1.5.1-signed.1-signed).